### Hierarchy

- SVGTransform

## Index

### Properties

- SVG_TRANSFORM_MATRIX
- SVG_TRANSFORM_ROTATE
- SVG_TRANSFORM_SCALE
- SVG_TRANSFORM_SKEWX
- SVG_TRANSFORM_SKEWY
- SVG_TRANSFORM_TRANSLATE
- SVG_TRANSFORM_UNKNOWN
- angle
- matrix
- type

### Methods

- setMatrix
- setRotate
- setScale
- setSkewX
- setSkewY
- setTranslate

## Properties

### SVG_TRANSFORM_MATRIX

SVG_TRANSFORM_MATRIX: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13947

### SVG_TRANSFORM_ROTATE

SVG_TRANSFORM_ROTATE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13948

### SVG_TRANSFORM_SCALE

SVG_TRANSFORM_SCALE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13949

### SVG_TRANSFORM_SKEWX

SVG_TRANSFORM_SKEWX: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13950

### SVG_TRANSFORM_SKEWY

SVG_TRANSFORM_SKEWY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13951

### SVG_TRANSFORM_TRANSLATE

SVG_TRANSFORM_TRANSLATE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13952

### SVG_TRANSFORM_UNKNOWN

SVG_TRANSFORM_UNKNOWN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13953

### angle

angle: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13938

### matrix

matrix: SVGMatrix

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13939

### type

type: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13940

## Methods

### setMatrix

- setMatrix(matrix: SVGMatrix): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13941

  #### Parameters

  - ##### matrix: SVGMatrix

  #### Returns void

### setRotate

- setRotate(angle: number, cx: number, cy: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13942

  #### Parameters

  - ##### angle: number

  - ##### cx: number

  - ##### cy: number

  #### Returns void

### setScale

- setScale(sx: number, sy: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13943

  #### Parameters

  - ##### sx: number

  - ##### sy: number

  #### Returns void

### setSkewX

- setSkewX(angle: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13944

  #### Parameters

  - ##### angle: number

  #### Returns void

### setSkewY

- setSkewY(angle: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13945

  #### Parameters

  - ##### angle: number

  #### Returns void

### setTranslate

- setTranslate(tx: number, ty: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13946

  #### Parameters

  - ##### tx: number

  - ##### ty: number

  #### Returns void

Generated using TypeDoc